org.apache.html.dom

## Class HTMLLinkElementImpl

- java.lang.Object
- - org.apache.xerces.dom.NodeImpl
  - - org.apache.xerces.dom.ChildNode
    - - org.apache.xerces.dom.ParentNode
      - - org.apache.xerces.dom.ElementImpl
        - - org.apache.html.dom.HTMLElementImpl
          - - org.apache.html.dom.HTMLLinkElementImpl

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, org.w3c.dom.Element, org.w3c.dom.ElementTraversal, org.w3c.dom.events.EventTarget, org.w3c.dom.html.HTMLElement, org.w3c.dom.html.HTMLLinkElement, org.w3c.dom.Node, org.w3c.dom.NodeList, org.w3c.dom.TypeInfo

      public class HTMLLinkElementImpl
      extends HTMLElementImpl
      implements org.w3c.dom.html.HTMLLinkElement

  Version:
    $Revision: 1029426 $ $Date: 2010-10-31 22:55:00 +0530 (Sun, 31 Oct 2010) $
  Author:
    Assaf Arkin
  See Also:
    `HTMLLinkElement`, `ElementImpl`, Serialized Form

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    - ### Fields inherited from class org.apache.xerces.dom.ElementImpl

      `attributes, name`

    - ### Fields inherited from class org.apache.xerces.dom.ParentNode

      `firstChild, fNodeListCache, ownerDocument`

    - ### Fields inherited from class org.apache.xerces.dom.ChildNode

      `nextSibling, previousSibling`

    - ### Fields inherited from class org.apache.xerces.dom.NodeImpl

      `DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

    - ### Fields inherited from interface org.w3c.dom.TypeInfo

      `DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTMLLinkElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCharset()` The character encoding of the resource being linked to.
    `boolean` | `getDisabled()` Enables/disables the link.
    `java.lang.String` | `getHref()` The URI of the linked resource.
    `java.lang.String` | `getHreflang()` Language code of the linked resource.
    `java.lang.String` | `getMedia()` Designed for use with one or more target media.
    `java.lang.String` | `getRel()` Forward link type.
    `java.lang.String` | `getRev()` Reverse link type.
    `java.lang.String` | `getTarget()` Frame to render the resource in.
    `java.lang.String` | `getType()` Advisory content type.
    `void` | `setCharset(java.lang.String charset)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setHref(java.lang.String href)`
    `void` | `setHreflang(java.lang.String hreflang)`
    `void` | `setMedia(java.lang.String media)`
    `void` | `setRel(java.lang.String rel)`
    `void` | `setRev(java.lang.String rev)`
    `void` | `setTarget(java.lang.String target)`
    `void` | `setType(java.lang.String type)`

    - ### Methods inherited from class org.apache.html.dom.HTMLElementImpl

      `getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

    - ### Methods inherited from class org.apache.xerces.dom.ElementImpl

      `cloneNode, getAttributes, getBaseURI, getChildElementCount, getDefaultAttributes, getFirstElementChild, getLastElementChild, getNextElementSibling, getNodeName, getNodeType, getPreviousElementSibling, getSchemaTypeInfo, getTagName, getTypeName, getTypeNamespace, getXercesAttribute, getXMLBaseAttribute, hasAttribute, hasAttributeNS, hasAttributes, isDerivedFrom, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

    - ### Methods inherited from class org.apache.xerces.dom.ParentNode

      `getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

    - ### Methods inherited from class org.apache.xerces.dom.ChildNode

      `getNextSibling, getParentNode, getPreviousSibling`

    - ### Methods inherited from class org.apache.xerces.dom.NodeImpl

      `addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getLocalName, getNamespaceURI, getNodeNumber, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.w3c.dom.html.HTMLElement

      `getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

    - ### Methods inherited from interface org.w3c.dom.Element

      `getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Constructor Detail

    - #### HTMLLinkElementImpl

          public HTMLLinkElementImpl(HTMLDocumentImpl owner,
                             java.lang.String name)

      Constructor requires owner document.
      Parameters:
        `owner` - The owner HTML document

  - ### Method Detail

    - #### getDisabled

          public boolean getDisabled()

      Description copied from interface: `org.w3c.dom.html.HTMLLinkElement`
      Enables/disables the link. This is currently only used for style sheet links, and may be used to activate or deactivate style sheets.
      Specified by:
        `getDisabled` in interface `org.w3c.dom.html.HTMLLinkElement`

    - #### setDisabled

          public void setDisabled(boolean disabled)

      Specified by:
        `setDisabled` in interface `org.w3c.dom.html.HTMLLinkElement`

    - #### getCharset

          public java.lang.String getCharset()

      Description copied from interface: `org.w3c.dom.html.HTMLLinkElement`
      The character encoding of the resource being linked to. See the charset attribute definition in HTML 4.0.
      Specified by:
        `getCharset` in interface `org.w3c.dom.html.HTMLLinkElement`

    - #### setCharset

          public void setCharset(java.lang.String charset)

      Specified by:
        `setCharset` in interface `org.w3c.dom.html.HTMLLinkElement`

    - #### getHref

          public java.lang.String getHref()

      Description copied from interface: `org.w3c.dom.html.HTMLLinkElement`
      The URI of the linked resource. See the href attribute definition in HTML 4.0.
      Specified by:
        `getHref` in interface `org.w3c.dom.html.HTMLLinkElement`

    - #### setHref

          public void setHref(java.lang.String href)

      Specified by:
        `setHref` in interface `org.w3c.dom.html.HTMLLinkElement`

    - #### getHreflang

          public java.lang.String getHreflang()

      Description copied from interface: `org.w3c.dom.html.HTMLLinkElement`
      Language code of the linked resource. See the hreflang attribute definition in HTML 4.0.
      Specified by:
        `getHreflang` in interface `org.w3c.dom.html.HTMLLinkElement`

    - #### setHreflang

          public void setHreflang(java.lang.String hreflang)

      Specified by:
        `setHreflang` in interface `org.w3c.dom.html.HTMLLinkElement`

    - #### getMedia

          public java.lang.String getMedia()

      Description copied from interface: `org.w3c.dom.html.HTMLLinkElement`
      Designed for use with one or more target media. See the media attribute definition in HTML 4.0.
      Specified by:
        `getMedia` in interface `org.w3c.dom.html.HTMLLinkElement`

    - #### setMedia

          public void setMedia(java.lang.String media)

      Specified by:
        `setMedia` in interface `org.w3c.dom.html.HTMLLinkElement`

    - #### getRel

          public java.lang.String getRel()

      Description copied from interface: `org.w3c.dom.html.HTMLLinkElement`
      Forward link type. See the rel attribute definition in HTML 4.0.
      Specified by:
        `getRel` in interface `org.w3c.dom.html.HTMLLinkElement`

    - #### setRel

          public void setRel(java.lang.String rel)

      Specified by:
        `setRel` in interface `org.w3c.dom.html.HTMLLinkElement`

    - #### getRev

          public java.lang.String getRev()

      Description copied from interface: `org.w3c.dom.html.HTMLLinkElement`
      Reverse link type. See the rev attribute definition in HTML 4.0.
      Specified by:
        `getRev` in interface `org.w3c.dom.html.HTMLLinkElement`

    - #### setRev

          public void setRev(java.lang.String rev)

      Specified by:
        `setRev` in interface `org.w3c.dom.html.HTMLLinkElement`

    - #### getTarget

          public java.lang.String getTarget()

      Description copied from interface: `org.w3c.dom.html.HTMLLinkElement`
      Frame to render the resource in. See the target attribute definition in HTML 4.0.
      Specified by:
        `getTarget` in interface `org.w3c.dom.html.HTMLLinkElement`

    - #### setTarget

          public void setTarget(java.lang.String target)

      Specified by:
        `setTarget` in interface `org.w3c.dom.html.HTMLLinkElement`

    - #### getType

          public java.lang.String getType()

      Description copied from interface: `org.w3c.dom.html.HTMLLinkElement`
      Advisory content type. See the type attribute definition in HTML 4.0.
      Specified by:
        `getType` in interface `org.w3c.dom.html.HTMLLinkElement`

    - #### setType

          public void setType(java.lang.String type)

      Specified by:
        `setType` in interface `org.w3c.dom.html.HTMLLinkElement`

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.